## ETreeSelectionModel ETreeSelectionModel |

## Functions

void | (*ETreeForeachFunc) ()
ESelectionModel * | e_tree_selection_model_new ()
void | e_tree_selection_model_foreach ()
void | e_tree_selection_model_select_single_path ()
void | e_tree_selection_model_select_paths ()
void | e_tree_selection_model_add_to_selection ()
void | e_tree_selection_model_change_cursor ()
ETreePath | e_tree_selection_model_get_cursor ()

## Description

## Functions

### ETreeForeachFunc ()

    void
    (*ETreeForeachFunc) (ETreePath path,
                         gpointer closure);

### e_tree_selection_model_new ()

    ESelectionModel *
    e_tree_selection_model_new (void);

### e_tree_selection_model_foreach ()

    void
    e_tree_selection_model_foreach (ETreeSelectionModel *etsm,
                                    ETreeForeachFunc callback,
                                    gpointer closure);

### e_tree_selection_model_select_single_path ()

    void
    e_tree_selection_model_select_single_path
                                   (ETreeSelectionModel *etsm,
                                    ETreePath path);

### e_tree_selection_model_select_paths ()

    void
    e_tree_selection_model_select_paths (ETreeSelectionModel *etsm,
                                         GPtrArray *paths);

### e_tree_selection_model_add_to_selection ()

    void
    e_tree_selection_model_add_to_selection
                                   (ETreeSelectionModel *etsm,
                                    ETreePath path);

### e_tree_selection_model_change_cursor ()

    void
    e_tree_selection_model_change_cursor (ETreeSelectionModel *etsm,
                                          ETreePath path);

### e_tree_selection_model_get_cursor ()

    ETreePath
    e_tree_selection_model_get_cursor (ETreeSelectionModel *etsm);

## Types and Values